Page MenuHomePhabricator

Special:Prefixindex is not working in the production
Closed, DuplicatePublic

Description

Special:Prefixindex iis not working in the production - nothing result for any requests.

Example:

See: https://inh.wikipedia.org/wiki/Гӏулакха:Указатель_по_началу_названия?prefix=Администратора&namespace=4

Event Timeline

Kaganer created this task.May 7 2018, 12:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 12:29 PM

See: https://inh.wikipedia.org/wiki/Special:Prefixindex/prefix%3DАСЯ%26namespace%3D10?prefix=Администратора+статус+ялар&namespace=4

It seems this URL is wrong. /prefix%3DАСЯ%26namespace%3D10 this is weird. Because the prefix behaves like ?prefix=, not /prefix

Where you get this URL?

Kaganer updated the task description. (Show Details)May 8 2018, 1:16 PM

Hm. I'm sorry. This should be investigated by me in more detail. Perhaps this is the result of my mistake.

Kaganer added a comment.EditedMay 8 2018, 1:39 PM

But this page is produced some UX problems:

  1. Link https://inh.wikipedia.org/wiki/Гӏулакха:Указатель_по_началу_названия/Википеди:Администратора is worked, but argument is not transferred into prefix box:

  1. If then be filling prefix box by random text (with keeping main namespace), and press "show" button - the result remains unchanged!

(produced URL - https://inh.wikipedia.org/wiki/Гӏулакха:Указатель_по_началу_названия/Википеди:Администратора?prefix=поотртежтцжцецоэнь&namespace=0 )

  1. If then filling prefix box by correct text and select valid namespace - the result is empty!

(produced URL - https://inh.wikipedia.org/wiki/Гӏулакха:Указатель_по_началу_названия/Википеди:Администратора?prefix=Администратора&namespace=4 )

This is not specific for this wiki only, this is reproduced everywhere.

@Kaganer

Link https://inh.wikipedia.org/wiki/Гӏулакха:Указатель_по_началу_названия/Википеди:Администратора is worked, but argument is not transferred into prefix box:

This will fix soon. See https://gerrit.wikimedia.org/r/#/c/431281/

If then be filling prefix box by random text (with keeping main namespace), and press "show" button - the result remains unchanged!

Yes, We are aware of this problem, But Thanks for reporting us :)

Jayprakash12345 renamed this task from Special:Prefixindex is not worked in the Ingush Wikipedia (inhwiki) to Special:Prefixindex is not working in the production.May 8 2018, 3:17 PM
Jayprakash12345 updated the task description. (Show Details)
Vvjjkkii renamed this task from Special:Prefixindex is not working in the production to ghdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from ghdaaaaaaa to Special:Prefixindex is not working in the production.Jul 2 2018, 4:22 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.